/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { IntentScore } from './intentScore';
/**
 * Value returned from a recognizer.
 */
export interface RecognizerResult {
    /**
     * Utterance sent to recognizer
     */
    text: string;
    /**
     * If original text is changed by things like spelling, the altered version.
     */
    alteredText?: string;
    /**
     * Intents recognized for the utterance.
     *
     * @remarks
     * A map of intent names to an object with score is returned.
     */
    intents: Record<string, IntentScore>;
    /**
     * (Optional) entities recognized.
     */
    entities?: any;
    /**
     * (Optional) other properties
     */
    [propName: string]: any;
}
export declare const getTopScoringIntent: (result: RecognizerResult) => {
    intent: string;
    score: number;
};
//# sourceMappingURL=recognizerResult.d.ts.map
